import React from 'react';
import type { RecentQuery } from '../../utils/query-storage';
import type { BaseQuery } from '../../constants/query-properties';
type RecentActions = {
    onFavorite: (query: RecentQuery, name: string) => Promise<boolean>;
    onDelete: (id: string) => void;
    onApply: (query: BaseQuery) => void;
};
declare const _default: import("react-redux").ConnectedComponent<({ queries, onDelete, onFavorite: _onFavorite, onApply, onSaveFavorite, }: RecentActions & {
    queries: (Omit<Partial<{
        filter: import("bson").Document;
        project: import("bson").Document;
        collation: import("bson").Document;
        sort: import("bson").Document;
        skip: number;
        limit: number;
        maxTimeMS: number;
    }>, "maxTimeMS"> & {
        _id: string;
        _lastExecuted: Date;
        _ns: string;
        _host?: string | undefined;
    })[];
    onSaveFavorite: () => void;
}) => JSX.Element, {
    onSaveFavorite: () => void;
    context?: React.Context<import("react-redux").ReactReduxContextValue<any, import("redux").AnyAction>> | undefined;
    store?: import("redux").Store<any, import("redux").AnyAction> | undefined;
}>;
export default _default;
//# sourceMappingURL=recent-list.d.ts.map